#!/usr/bin/env bash
set -euox pipefail

cd /home/mastodon
git clone https://github.com/mastodon/mastodon.git live && cd live
git checkout "$(git tag -l | grep '^v[0-9.]*$' | sort -V | tail -n 1)"
git clone https://github.com/rbenv/rbenv.git ~/.rbenv
{
  # shellcheck disable=SC2016
  echo 'export PATH="$HOME/.rbenv/bin:$PATH"'
  # shellcheck disable=SC2016
  echo 'eval "$(rbenv init -)"'
} | tee -a ~/.bashrc ~/.profile
# shellcheck disable=SC1090
source ~/.profile
git clone https://github.com/rbenv/ruby-build.git "$(rbenv root)"/plugins/ruby-build
RUBY_CONFIGURE_OPTS=--with-jemalloc rbenv install
bundle config deployment 'true'
bundle config without 'development test'
bundle install -j"$(getconf _NPROCESSORS_ONLN)"
yarn install
